Bug 243434 - crash when painting (PagePainter::scalePixmapOnImage with no backbuffer)
Summary: crash when painting (PagePainter::scalePixmapOnImage with no backbuffer)
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Unclassified
Component: general (show other bugs)
Version: 0.10.4
Platform: Archlinux Packages Linux
: NOR crash with 10 votes (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
: 251564 252559 253343 254974 256681 257340 258487 259339 259525 260650 260651 260833 260902 262792 263166 264168 265644 266217 268142 268772 268921 269489 271548 276197 277335 277842 279314 279758 281373 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-07-02 14:11 UTC by iberlynx
Modified: 2011-09-05 11:07 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.2


Attachments
pdf doc (4.08 KB, application/octet-stream)
2010-12-27 11:50 UTC, Tommaso Massimi
Details
New crash information added by DrKonqi (10.92 KB, text/plain)
2011-01-05 03:09 UTC, lordyoukai
Details
New crash information added by DrKonqi (16.10 KB, text/plain)
2011-01-24 19:24 UTC, hazard
Details
New crash information added by DrKonqi (9.56 KB, text/plain)
2011-08-25 04:25 UTC, Andreas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description iberlynx 2010-07-02 14:11:27 UTC
Application: okular (0.10.4)
KDE Platform Version: 4.4.4 (KDE 4.4.4)
Qt Version: 4.6.3
Operating System: Linux 2.6.34-ARCH i686
Distribution (Platform): Archlinux Packages

-- Information about the crash:
I was trying to scroll through a chm file and it stopped opening new pages, I tried to scroll down further but later it crashed.
I'm not sure if it was trigered by something related to not opening the next pages, because at this time I pressed F7 to jump to another page.

 -- Backtrace:
Application: Okular (okular), signal: Segmentation fault
[KCrash Handler]
#6  PagePainter::scalePixmapOnImage (dest=..., src=0xa428d50, scaledWidth=226, scaledHeight=108904, cropRect=..., format=QImage::Format_ARGB32_Premultiplied)
    at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/ui/pagepainter.cpp:755
#7  0xb3ef9e45 in PagePainter::paintCroppedPageOnPainter (destPainter=0xbfec5c5c, page=0xa7f4ad0, pixID=4, flags=41, scaledWidth=226, scaledHeight=108904, limits=..., crop=...)
    at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/ui/pagepainter.cpp:229
#8  0xb3efdedb in PagePainter::paintPageOnPainter (destPainter=0xbfec5c5c, page=0xa7f4ad0, pixID=4, flags=41, scaledWidth=226, scaledHeight=108904, limits=...)
    at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/ui/pagepainter.cpp:54
#9  0xb3f35855 in ThumbnailWidget::paint (this=0xa35ae00, p=..., _clipRect=...) at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/ui/thumbnaillist.cpp:826
#10 0xb3f35c87 in ThumbnailListPrivate::paintEvent (this=0x9a89f88, e=0xbfec61f4) at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/ui/thumbnaillist.cpp:165
#11 0xb64853fe in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#12 0xb642e194 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#13 0xb643242b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#14 0xb743829a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#15 0xb6ea9f1b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#16 0xb6480054 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#17 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#18 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#19 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#20 0xb6480c22 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#21 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#22 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#23 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#24 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#25 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#26 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#27 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#28 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#29 0xb6480c22 in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#30 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#31 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#32 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#33 0xb6480d5c in QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib/libQtGui.so.4
#34 0xb647fdb0 in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from /usr/lib/libQtGui.so.4
#35 0xb664bc40 in ?? () from /usr/lib/libQtGui.so.4
#36 0xb6476293 in QWidgetPrivate::syncBackingStore() () from /usr/lib/libQtGui.so.4
#37 0xb6485a5d in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#38 0xb6884b17 in QMainWindow::event(QEvent*) () from /usr/lib/libQtGui.so.4
#39 0xb751a19c in KMainWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#40 0xb755809f in KXmlGuiWindow::event(QEvent*) () from /usr/lib/libkdeui.so.5
#41 0xb642e194 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#42 0xb643242b in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#43 0xb743829a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#44 0xb6ea9f1b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#45 0xb6eada11 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#46 0xb6eadbfd in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#47 0xb6ed49df in ?? () from /usr/lib/libQtCore.so.4
#48 0xb5b77f72 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb5b78750 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#50 0xb5b78a04 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb6ed4ecc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#52 0xb64da435 in ?? () from /usr/lib/libQtGui.so.4
#53 0xb6ea9169 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#54 0xb6ea93da in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#55 0xb6eadcbf in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#56 0xb642b8b7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#57 0x0804eec8 in main (argc=-1239398472, argv=0xb62047b8) at /home/phil/kdemod/core/kdegraphics/src/kdegraphics-4.4.4/okular/shell/main.cpp:82

Possible duplicates by query: bug 232060.

Reported using DrKonqi
Comment 1 Albert Astals Cid 2010-07-05 16:29:12 UTC
Can you please attach the chm document that causes the crash.
Comment 2 iberlynx 2010-07-05 22:05:46 UTC
It's too big, and it's not mine :P
Comment 3 Albert Astals Cid 2010-07-06 00:28:07 UTC
Can you reproduce the bug all the time?
Comment 4 iberlynx 2010-07-07 03:12:31 UTC
Well. You're right in that it probably is a duplicate of that other bug, since if I don't use the sidebar it doesn't crash. Only when I loaded the sidebar with thumbnails then it crashed. 

and yes with thumbnails on it crashes all the time with this file.

I've got an extra piece of information which I think will be usefull.
Some of the pages are LOOOOOOOOOooong. Like 3 or 4 or more pages high, altough only the top part has text. I guess it's not a very well formatted chm file. Who uses this format anyway :P lol
Comment 5 Albert Astals Cid 2010-07-07 09:57:54 UTC
Can you please run 
valgrind okular /path/to/my/file/that/crashes.chm
in a shell and make it crash and attach the output
Comment 6 Pino Toscano 2010-12-09 18:38:41 UTC
*** Bug 252559 has been marked as a duplicate of this bug. ***
Comment 7 Pino Toscano 2010-12-09 18:38:59 UTC
*** Bug 253343 has been marked as a duplicate of this bug. ***
Comment 8 Pino Toscano 2010-12-09 18:39:23 UTC
*** Bug 251564 has been marked as a duplicate of this bug. ***
Comment 9 Pino Toscano 2010-12-09 18:40:23 UTC
*** Bug 254974 has been marked as a duplicate of this bug. ***
Comment 10 Pino Toscano 2010-12-09 18:40:43 UTC
*** Bug 256681 has been marked as a duplicate of this bug. ***
Comment 11 Pino Toscano 2010-12-09 18:40:58 UTC
*** Bug 257340 has been marked as a duplicate of this bug. ***
Comment 12 Pino Toscano 2010-12-09 18:41:37 UTC
*** Bug 258487 has been marked as a duplicate of this bug. ***
Comment 13 Pino Toscano 2010-12-09 18:42:08 UTC
*** Bug 259339 has been marked as a duplicate of this bug. ***
Comment 14 Pino Toscano 2010-12-11 15:17:57 UTC
*** Bug 259525 has been marked as a duplicate of this bug. ***
Comment 15 Pino Toscano 2010-12-18 20:10:02 UTC
*** Bug 260650 has been marked as a duplicate of this bug. ***
Comment 16 Pino Toscano 2010-12-18 20:10:14 UTC
*** Bug 260651 has been marked as a duplicate of this bug. ***
Comment 17 Pino Toscano 2010-12-20 23:58:29 UTC
*** Bug 260833 has been marked as a duplicate of this bug. ***
Comment 18 Pino Toscano 2010-12-21 19:25:05 UTC
*** Bug 260902 has been marked as a duplicate of this bug. ***
Comment 19 Tommaso Massimi 2010-12-27 11:39:39 UTC
Hi,
I have the same problem with okular version 0.11.2
I confirm that the problem disappear if I disable the side bar.

The problem appears each time I open the document I'm going to attach
Bye
Comment 20 Tommaso Massimi 2010-12-27 11:50:15 UTC
Created attachment 55283 [details]
pdf doc
Comment 21 Albert Astals Cid 2010-12-27 12:19:49 UTC
Can someone please what i asked and do
valgrind okular /path/to/my/file/that/crashes
Comment 22 Tommaso Massimi 2010-12-27 15:17:23 UTC
Here it is.
I can open this document on my PC, only on my brother's PC I can see this crash.

[max@sport ~]$ valgrind /usr/bin/okular /home/max/Desktop/doc.pdf 
==14056== Memcheck, a memory error detector
==14056== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==14056== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==14056== Command: /usr/bin/okular /home/max/Desktop/doc.pdf
==14056== 
okular(14056)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(14056)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
==14056== Conditional jump or move depends on uninitialised value(s)
==14056==    at 0xA4DA6C7: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0x4915FF2: QWidget::event(QEvent*) (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x4D49EA4: QFrame::event(QEvent*) (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x4DE93D0: QAbstractScrollArea::viewportEvent(QEvent*) (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0xA4E08DD: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0x4DEBE65: ??? (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x56A4FBD: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (in /usr/lib/libQtCore.so.4.7.1)
==14056==    by 0x48B570C: QApplicationPrivate::notify_helper(QObject*, QEvent*) (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x48BD667: QApplication::notify(QObject*, QEvent*) (in /usr/lib/libQtGui.so.4.7.1)
==14056== 
okular(14056)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
==14056== Invalid read of size 4
==14056==    at 0xA4C880D: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4C8EC2: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4CEF2F: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0x3FFF: ???
==14056==  Address 0x6b15f30 is 0 bytes after a block of size 19,024 alloc'd
==14056==    at 0x4023D7C: malloc (vg_replace_malloc.c:195)
==14056==    by 0x5DCE6A3: XGetImage (in /usr/lib/libX11.so.6.3.0)
==14056==    by 0x49CF8CC: QX11PixmapData::toImage(QRect const&) const (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x49C806C: QX11PixmapData::toImage() const (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0x49B245C: QPixmap::toImage() const (in /usr/lib/libQtGui.so.4.7.1)
==14056==    by 0xA4C872B: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4C8EC2: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4CEF2F: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0x3FFF: ???
==14056== 
==14056== Invalid read of size 4
==14056==    at 0xA4C880D: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4C8EC2: ??? (in /usr/lib/kde4/okularpart.so)
==14056==    by 0xA4DCE23: ??? (in /usr/lib/kde4/okularpart.so)
==14056==  Address 0xf5cec70 is not stack'd, malloc'd or (recently) free'd
==14056==
Comment 23 Tommaso Massimi 2010-12-27 15:24:45 UTC
I'm sorry but the development packages are not available, 
so I can't produce a better report
Comment 24 Albert Astals Cid 2010-12-27 15:26:11 UTC
Can you please install debug symbols and run it again, wihtout it is really not much useful. Read http://techbase.kde.org/Development/Tutorials/Debugging/How_to_create_useful_crash_reports#Preparing_your_KDE_packages if you need help installing debug symbols
Comment 25 maninred 2010-12-27 17:12:41 UTC
Here is the valgrind output:

==29899== Memcheck, a memory error detector
==29899== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==29899== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==29899== Command: okular /Downloads/tools2.pdf/
==29899== 
==29899== 
==29899== HEAP SUMMARY:
==29899==     in use at exit: 612,519 bytes in 8,192 blocks
==29899==   total heap usage: 289,617 allocs, 281,425 frees, 73,900,156 bytes allocated
==29899== 
==29899== LEAK SUMMARY:
==29899==    definitely lost: 3,585 bytes in 15 blocks
==29899==    indirectly lost: 352 bytes in 11 blocks
==29899==      possibly lost: 402,996 bytes in 5,996 blocks
==29899==    still reachable: 205,586 bytes in 2,170 blocks
==29899==         suppressed: 0 bytes in 0 blocks
==29899== Rerun with --leak-check=full to see details of leaked memory
==29899== 
==29899== For counts of detected and suppressed errors, rerun with: -v
==29899== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 106 from 11)
user@linux-3zjc:~> valgrind okular /Downloads/tools2.pdf
==30037== Memcheck, a memory error detector
==30037== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==30037== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==30037== Command: okular /Downloads/tools2.pdf
==30037== 
==30037== Conditional jump or move depends on uninitialised value(s)
==30037==    at 0x5E796AA: PtsToRegion(int, int, _POINTBLOCK*, QRegionPrivate*) (qregion.cpp:3512)
==30037==    by 0x5E7A0A8: PolygonRegion(QPoint const*, int, int) (qregion.cpp:3735)
==30037==    by 0x5E7A44D: QRegion::QRegion(QPolygon const&, Qt::FillRule) (qregion.cpp:3856)
==30037==    by 0x5EE9825: QX11PaintEngine::updateState(QPaintEngineState const&) (qpaintengine_x11.cpp:1092)
==30037==    by 0x5E28792: QPainterPrivate::updateStateImpl(QPainterState*) (qpainter.cpp:906)
==30037==    by 0x5E2886F: QPainterPrivate::updateState(QPainterState*) (qpainter.cpp:934)
==30037==    by 0x5E37CAE: QPainter::setClipRegion(QRegion const&, Qt::ClipOperation) (qpainter.cpp:2853)
==30037==    by 0xF1EE9AD: Oxygen::SunkenFrameShadow::paintEvent(QPaintEvent*) (oxygenframeshadow.cpp:464)
==30037==    by 0x5D3A459: QWidget::event(QEvent*) (qwidget.cpp:8346)
==30037==    by 0xF1AF7DC: Oxygen::FrameShadowBase::event(QEvent*) (oxygenframeshadow.cpp:282)
==30037==    by 0x5CE8CD3: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4445)
==30037==    by 0x5CF11C9: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4324)
==30037==                                                                                                                                      
==30037== Conditional jump or move depends on uninitialised value(s)                                                                           
==30037==    at 0x5E796AA: PtsToRegion(int, int, _POINTBLOCK*, QRegionPrivate*) (qregion.cpp:3512)                                             
==30037==    by 0x5E7A0A8: PolygonRegion(QPoint const*, int, int) (qregion.cpp:3735)                                                           
==30037==    by 0x5E7A44D: QRegion::QRegion(QPolygon const&, Qt::FillRule) (qregion.cpp:3856)                                                  
==30037==    by 0x5EE9ABF: QX11PaintEngine::updateState(QPaintEngineState const&) (qpaintengine_x11.cpp:1110)                                  
==30037==    by 0x5E28792: QPainterPrivate::updateStateImpl(QPainterState*) (qpainter.cpp:906)                                                 
==30037==    by 0x5E2886F: QPainterPrivate::updateState(QPainterState*) (qpainter.cpp:934)
==30037==    by 0x5E37CAE: QPainter::setClipRegion(QRegion const&, Qt::ClipOperation) (qpainter.cpp:2853)
==30037==    by 0xF1EE9AD: Oxygen::SunkenFrameShadow::paintEvent(QPaintEvent*) (oxygenframeshadow.cpp:464)
==30037==    by 0x5D3A459: QWidget::event(QEvent*) (qwidget.cpp:8346)
==30037==    by 0xF1AF7DC: Oxygen::FrameShadowBase::event(QEvent*) (oxygenframeshadow.cpp:282)
==30037==    by 0x5CE8CD3: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4445)
==30037==    by 0x5CF11C9: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4324)
==30037== 
okular(30037)/kio (KDirWatch) KDirWatchPrivate::removeEntry: doesn't know "/Downloads/tools2.pdf" 
okular(30037)/kio (KDirWatch) KDirWatchPrivate::removeEntry: doesn't know "/Downloads" 
==30037== Conditional jump or move depends on uninitialised value(s)
==30037==    at 0x156C4BFF: PageView::resizeEvent(QResizeEvent*) (pageview.cpp:1241)
==30037==    by 0x5D3A48D: QWidget::event(QEvent*) (qwidget.cpp:8354)
==30037==    by 0x60E7245: QFrame::event(QEvent*) (qframe.cpp:557)
==30037==    by 0x156C3D1C: PageView::viewportEvent(QEvent*) (pageview.cpp:2292)
==30037==    by 0x6DBAFB6: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:847)
==30037==    by 0x5CE8CA0: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4441)
==30037==    by 0x5CF11C9: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4324)
==30037==    by 0x568A815: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==30037==    by 0x6DBAE2B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==30037==    by 0x5D83FFA: QWidgetPrivate::setGeometry_sys(int, int, int, int, bool) (qcoreapplication.h:215)
==30037==    by 0x5D3644C: QWidget::setGeometry(QRect const&) (qwidget.cpp:6802)
==30037==    by 0x61674FB: QAbstractScrollAreaPrivate::layoutChildren() (qabstractscrollarea.cpp:480)
==30037== 
==30037== Invalid read of size 4
==30037==    at 0x156B5C97: PagePainter::scalePixmapOnImage(QImage&, QPixmap const*, int, int, QRect const&, QImage::Format) (pagepainter.cpp:755)
==30037==    by 0x156B66AF: PagePainter::paintCroppedPageOnPainter(QPainter*, Okular::Page const*, int, int, int, int, QRect const&, Okular::NormalizedRect const&) (pagepainter.cpp:229)
==30037==    by 0x156C8BBA: PageView::drawDocumentOnPainter(QRect const&, QPainter*) (pageview.cpp:2446)
==30037==    by 0x156C9390: PageView::paintEvent(QPaintEvent*) (pageview.cpp:1212)
==30037==    by 0x5D3A459: QWidget::event(QEvent*) (qwidget.cpp:8346)
==30037==    by 0x60E7245: QFrame::event(QEvent*) (qframe.cpp:557)
==30037==    by 0x156C3D1C: PageView::viewportEvent(QEvent*) (pageview.cpp:2292)
==30037==    by 0x6DBAFB6: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:847)
==30037==    by 0x5CE8CA0: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4441)
==30037==    by 0x5CF11C9: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4324)
==30037==    by 0x568A815: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==30037==    by 0x6DBAE2B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==30037==  Address 0x1d31fd9c is 0 bytes after a block of size 1,302,140 alloc'd
==30037==    at 0x4C26C3A: malloc (vg_replace_malloc.c:195)
==30037==    by 0x8714C55: XGetImage (in /usr/lib64/libX11.so.6.3.0)
==30037==    by 0x5DD355F: QX11PixmapData::toImage(QRect const&) const (qpixmap_x11.cpp:1546)
==30037==    by 0x5DCF8E9: QX11PixmapData::toImage() const (qpixmap_x11.cpp:1577)
==30037==    by 0x5DBE2FF: QPixmap::toImage() const (qpixmap.cpp:487)
==30037==    by 0x156B5BD2: PagePainter::scalePixmapOnImage(QImage&, QPixmap const*, int, int, QRect const&, QImage::Format) (pagepainter.cpp:741)
==30037==    by 0x156B66AF: PagePainter::paintCroppedPageOnPainter(QPainter*, Okular::Page const*, int, int, int, int, QRect const&, Okular::NormalizedRect const&) (pagepainter.cpp:229)
==30037==    by 0x156C8BBA: PageView::drawDocumentOnPainter(QRect const&, QPainter*) (pageview.cpp:2446)
==30037==    by 0x156C9390: PageView::paintEvent(QPaintEvent*) (pageview.cpp:1212)
==30037==    by 0x5D3A459: QWidget::event(QEvent*) (qwidget.cpp:8346)
==30037==    by 0x60E7245: QFrame::event(QEvent*) (qframe.cpp:557)
==30037==    by 0x156C3D1C: PageView::viewportEvent(QEvent*) (pageview.cpp:2292)
==30037== 
==30037== Invalid read of size 4
==30037==    at 0x156B5C97: PagePainter::scalePixmapOnImage(QImage&, QPixmap const*, int, int, QRect const&, QImage::Format) (pagepainter.cpp:755)
==30037==    by 0x156B66AF: PagePainter::paintCroppedPageOnPainter(QPainter*, Okular::Page const*, int, int, int, int, QRect const&, Okular::NormalizedRect const&) (pagepainter.cpp:229)
==30037==    by 0x156BA70C: PagePainter::paintPageOnPainter(QPainter*, Okular::Page const*, int, int, int, int, QRect const&) (pagepainter.cpp:54)
==30037==    by 0x156EB866: ThumbnailWidget::paint(QPainter&, QRect const&) (thumbnaillist.cpp:826)
==30037==    by 0x156EBBF9: ThumbnailListPrivate::paintEvent(QPaintEvent*) (thumbnaillist.cpp:165)
==30037==    by 0x5D3A459: QWidget::event(QEvent*) (qwidget.cpp:8346)
==30037==    by 0x5CE8CD3: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4445)
==30037==    by 0x5CF11C9: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4324)
==30037==    by 0x568A815: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:310)
==30037==    by 0x6DBAE2B: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==30037==    by 0x5D37321: QWidgetPrivate::drawWidget(QPaintDevice*, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) (qcoreapplication.h:218)
==30037==    by 0x5D37EEE: QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) (qwidget.cpp:5640)
==30037==  Address 0x1d78f018 is not stack'd, malloc'd or (recently) free'd
==30037== 
KCrash: Application 'okular' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
sock_file=/home/user/.kde4/socket-linux-3zjc/kdeinit4__0
Error: Leftover args in content stream 

[1]+  Angehalten              valgrind okular /Downloads/tools2.pdf
user@linux-3zjc:~> ==30037== 
==30037== HEAP SUMMARY:
==30037==     in use at exit: 10,924,524 bytes in 85,592 blocks
==30037==   total heap usage: 491,977 allocs, 406,385 frees, 147,750,455 bytes allocated
==30037== 
==30037== LEAK SUMMARY:
==30037==    definitely lost: 47,040 bytes in 489 blocks
==30037==    indirectly lost: 192,929 bytes in 896 blocks
==30037==      possibly lost: 6,163,037 bytes in 41,576 blocks
==30037==    still reachable: 4,521,518 bytes in 42,631 blocks
==30037==         suppressed: 0 bytes in 0 blocks
==30037== Rerun with --leak-check=full to see details of leaked memory
==30037== 
==30037== For counts of detected and suppressed errors, rerun with: -v
==30037== Use --track-origins=yes to see where uninitialised values come from
==30037== ERROR SUMMARY: 145488 errors from 5 contexts (suppressed: 1527 from 14)
Comment 26 lordyoukai 2011-01-05 03:09:50 UTC
Created attachment 55591 [details]
New crash information added by DrKonqi

okular (0.11.1) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

Opening this: http://www.physics.ucla.edu/~jbergk/W09_131/week1b.pdf

-- Backtrace (Reduced):
#7  0x01e183a7 in PagePainter::scalePixmapOnImage (dest=..., src=0x8bb2308, scaledWidth=638, scaledHeight=827, cropRect=..., format=QImage::Format_ARGB32_Premultiplied) at ../../okular/ui/pagepainter.cpp:755
#8  0x01e18a24 in PagePainter::paintCroppedPageOnPainter (destPainter=0xbf898aac, page=0x8baecc0, pixID=3, flags=<value optimized out>, scaledWidth=638, scaledHeight=827, limits=..., crop=...) at ../../okular/ui/pagepainter.cpp:229
#9  0x01e2c08f in PageView::drawDocumentOnPainter (this=0x8a99be8, contentsRect=..., p=0xbf898aac) at ../../okular/ui/pageview.cpp:2446
#10 0x01e2c99d in PageView::paintEvent (this=0x8a99be8, pe=0xbf8991b4) at ../../okular/ui/pageview.cpp:1212
#11 0x00fd4cc6 in QWidget::event (this=0x8a99be8, event=0xbf8991b4) at kernel/qwidget.cpp:8333
Comment 27 Albert Astals Cid 2011-01-06 00:39:33 UTC
@lordyoukai: You seem to have debug symbols installed, can you please run 
valgrind okular /path/to/my/file/that/crashes
and paste the output?
Comment 28 Tommaso Massimi 2011-01-07 01:11:28 UTC
@lordyoukai: better if you run

valgrind --track-origins=yes okular /path/to/my/file/that/crashes

and paste the output
Comment 29 Pino Toscano 2011-01-10 22:00:53 UTC
*** Bug 262792 has been marked as a duplicate of this bug. ***
Comment 30 Pino Toscano 2011-01-14 18:37:00 UTC
*** Bug 263166 has been marked as a duplicate of this bug. ***
Comment 31 Pino Toscano 2011-01-24 15:06:17 UTC
*** Bug 264168 has been marked as a duplicate of this bug. ***
Comment 32 hazard 2011-01-24 19:24:14 UTC
Created attachment 56394 [details]
New crash information added by DrKonqi

okular (0.11.2) on KDE Platform 4.5.5 (KDE 4.5.5) using Qt 4.7.1

- What I was doing when the application crashed:

Opening any PDF.

Valgrind output below:

==18617== Memcheck, a memory error detector
==18617== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==18617== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==18617== Command: okular 02_AT_Quote_SPQ.ID.OPP-000008958.pdf
==18617== 
==18617== Conditional jump or move depends on uninitialised value(s)
==18617==    at 0x4005339: operator delete[](void*, std::nothrow_t const&) (vg_replace_malloc.c:380)
==18617==    by 0x5B3CE7: ??? (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==  Uninitialised value was created by a stack allocation
==18617==    at 0x5776B1: __cxxabiv1::__class_type_info::__do_dyncast(int, __cxxabiv1::__class_type_info::__sub_kind, __cxxabiv1::__class_type_info const*, void const*, __cxxabiv1::__class_type_info const*, void const*, __cxxabiv1::__class_type_info::__dyncast_result&) const (class_type_info.cc:79)
==18617== 
==18617== Invalid free() / delete / delete[]
==18617==    at 0x4005379: operator delete[](void*, std::nothrow_t const&) (vg_replace_malloc.c:380)
==18617==    by 0x5B3CE7: ??? (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==  Address 0x4dfb24 is not stack'd, malloc'd or (recently) free'd
==18617== 
==18617== Use of uninitialised value of size 4
==18617==    at 0x4005388: operator delete[](void*, std::nothrow_t const&) (vg_replace_malloc.c:380)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==    by 0xB298AE: ??? (in /lib/ld-2.12.90.so)
==18617==  Uninitialised value was created by a stack allocation
==18617==    at 0x5776B1: __cxxabiv1::__class_type_info::__do_dyncast(int, __cxxabiv1::__class_type_info::__sub_kind, __cxxabiv1::__class_type_info const*, void const*, __cxxabiv1::__class_type_info const*, void const*, __cxxabiv1::__class_type_info::__dyncast_result&) const (class_type_info.cc:79)
==18617== 
==18617== Invalid read of size 1
==18617==    at 0x5B3CE8: ??? (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==    by 0xB298AE: ??? (in /lib/ld-2.12.90.so)
==18617==  Address 0x6a005776 is not stack'd, malloc'd or (recently) free'd
==18617== 
==18617== Invalid read of size 1
==18617==    at 0x5B3CF3: ??? (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==    by 0xB298AE: ??? (in /lib/ld-2.12.90.so)
==18617==  Address 0x9a005115 is not stack'd, malloc'd or (recently) free'd
==18617== 
==18617== 
==18617== Process terminating with default action of signal 11 (SIGSEGV)
==18617==  Access not within mapped region at address 0x9A005115
==18617==    at 0x5B3CF3: ??? (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0x5237C8: std::underflow_error::underflow_error(std::string const&) (stdexcept.cc:72)
==18617==    by 0x523FAD: virtual thunk to std::strstream::~strstream() (in /usr/lib/libstdc++.so.6.0.14)
==18617==    by 0xD21F9D: pthread_once (pthread_once.S:122)
==18617==    by 0x5240A8: std::locale::locale() (strstream.cc:369)
==18617==    by 0x520F97: std::ios_base::Init::Init() (locale_facets.h:1930)
==18617==    by 0x71B935: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x71DBEC: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0x6FBFCF: ??? (in /usr/lib/libstreams.so.0.7.2)
==18617==    by 0xB387CB: call_init (dl-init.c:68)
==18617==    by 0xB388E8: _dl_init (dl-init.c:132)
==18617==    by 0xB298AE: ??? (in /lib/ld-2.12.90.so)
==18617==  If you believe this happened as a result of a stack
==18617==  overflow in your program's main thread (unlikely but
==18617==  possible), you can try to increase the size of the
==18617==  main thread stack using the --main-stacksize= flag.
==18617==  The main thread stack size used in this run was 8388608.
==18617== 
==18617== HEAP SUMMARY:
==18617==     in use at exit: 0 bytes in 0 blocks
==18617==   total heap usage: 2 allocs, 3 frees, 472 bytes allocated
==18617== 
==18617== All heap blocks were freed -- no leaks are possible
==18617== 
==18617== For counts of detected and suppressed errors, rerun with: -v
==18617== ERROR SUMMARY: 5 errors from 5 contexts (suppressed: 76 from 8)

-- Backtrace (Reduced):
#7  PagePainter::scalePixmapOnImage (dest=..., src=0xa255cb0, scaledWidth=1230, scaledHeight=1591, cropRect=..., format=QImage::Format_ARGB32_Premultiplied) at /usr/src/debug/kdegraphics-4.5.5/okular/ui/pagepainter.cpp:755
#8  0x01067356 in PagePainter::paintCroppedPageOnPainter (destPainter=0xbfed63bc, page=0xa24b958, pixID=3, flags=63, scaledWidth=1230, scaledHeight=1591, limits=..., crop=...) at /usr/src/debug/kdegraphics-4.5.5/okular/ui/pagepainter.cpp:229
#9  0x01075f30 in PageView::drawDocumentOnPainter (this=0xa045448, contentsRect=..., p=0xbfed63bc) at /usr/src/debug/kdegraphics-4.5.5/okular/ui/pageview.cpp:2446
#10 0x0107680d in PageView::paintEvent (this=0xa045448, pe=0xbfed6ac4) at /usr/src/debug/kdegraphics-4.5.5/okular/ui/pageview.cpp:1212
#11 0x06f468af in QWidget::event (this=0xa045448, event=0xbfed6ac4) at kernel/qwidget.cpp:8346
Comment 33 Albert Astals Cid 2011-01-24 20:01:33 UTC
#32 is that really the valgrind trace you get? It doesn't make any sense and it's totally different from the gdb trace :-S
Comment 34 hazard 2011-01-24 21:51:51 UTC
Yes, this is what valgrind gave me, you can see from valgrind's output:

==18617== Command: okular 02_AT_Quote_SPQ.ID.OPP-000008958.pdf

I was opening the same PDF as for the crash in the backtrace.

Also I noticed that when I open okular remotely via NX, I don't get a crash. Both machines are running FC14.
Comment 35 Achim Schaefer 2011-01-24 22:20:47 UTC
Hi,

as I saw this valgrind discussion, I run my one as well with valgrind.
What happens is:
after started once with valgrind, it works even without valgrind.
I got that for the pdf and the dvi output (details see bug 264168)
Here the valgrind output for the DVI version, but it did not crash, which I could reproduce the crash before always.
 valgrind okular Lebenslauf.dvi
==359== Memcheck, a memory error detector
==359== Copyright (C) 2002-2010, and GNU GPL'd, by Julian Seward et al.
==359== Using Valgrind-3.6.0.SVN-Debian and LibVEX; rerun with -h for copyright info
==359== Command: okular Lebenslauf.dvi
==359== 
==359== Conditional jump or move depends on uninitialised value(s)
==359==    at 0x59A3A2E: inflateReset2 (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x59A3B0C: inflateInit2_ (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x59A3B82: inflateInit_ (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x599E34E: uncompress (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x49FACAE: qUncompress(unsigned char const*, int) (qbytearray.cpp:553)
==359==    by 0x456D5BD: KPixmapCache::Private::loadData(int, QPixmap&) (qbytearray.h:586)
==359==    by 0x456E6E0: KPixmapCache::find(QString const&, QPixmap&) (kpixmapcache.cpp:1354)
==359==    by 0x44AC1AA: KIconCache::find(QString const&, QPixmap&) (kiconcache.cpp:292)
==359==    by 0x44ACFEF: KIconCache::find(QString const&, QPixmap&, QString*) (kiconcache.cpp:277)
==359==    by 0x449F354: KIconLoader::loadIcon(QString const&, KIconLoader::Group, int, int, QStringList const&, QString*, bool) const (kiconloader.cpp:1092)
==359==    by 0x44A14CE: SmallIcon(QString const&, int, int, QStringList const&) (kiconloader.cpp:1588)
==359==    by 0x45C9D1E: KLineEdit::updateClearButtonIcon(QString const&) (klineedit.cpp:311)
==359== 
==359== Conditional jump or move depends on uninitialised value(s)
==359==    at 0x4FCC9E0: QX11PaintEngine::updateMatrix(QTransform const&) (qpaintengine_x11.cpp:2050)
==359==    by 0x4FD853A: QX11PaintEngine::updateState(QPaintEngineState const&) (qpaintengine_x11.cpp:1082)
==359==    by 0x4EFDBC3: QPainterPrivate::updateStateImpl(QPainterState*) (qpainter.cpp:906)
==359==    by 0x4EFDC8B: QPainterPrivate::updateState(QPainterState*) (qpainter.cpp:934)
==359==    by 0x4F09586: QPainter::drawLines(QLineF const*, int) (qpainter.cpp:4639)
==359==    by 0x7E50690: OxygenStyle::standardIconImplementation(QStyle::StandardPixmap, QStyleOption const*, QWidget const*) const (qpainter.h:534)
==359==    by 0x7E365B3: OxygenStyle::qt_metacall(QMetaObject::Call, int, void**) (oxygen.moc:80)
==359==    by 0x4AFD449: QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) (qmetaobject.cpp:237)
==359==    by 0x4B00EF4: QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) const (qmetaobject.cpp:1578)
==359==    by 0x4B0246F: QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) (qmetaobject.cpp:1151)
==359==    by 0x50DAECB: QStyle::standardIcon(QStyle::StandardPixmap, QStyleOption const*, QWidget const*) const (qstyle.cpp:2279)
==359==    by 0x529FBDD: QToolBarExtension::setOrientation(Qt::Orientation) (qtoolbarextension.cpp:67)
==359== 
okular(359)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(359)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
okular(359)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
==359== Conditional jump or move depends on uninitialised value(s)
==359==    at 0x59A3A2E: inflateReset2 (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x59A3B0C: inflateInit2_ (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x59A3B82: inflateInit_ (in /usr/lib/libz.so.1.2.3.4)
==359==    by 0x5F8FA50: png_create_read_struct_2 (in /lib/libpng12.so.0.44.0)
==359==    by 0x5F8FC19: png_create_read_struct (in /lib/libpng12.so.0.44.0)
==359==    by 0x4EAFA53: QPngHandlerPrivate::readPngHeader() (qpnghandler.cpp:356)
==359==    by 0x4EB047A: QPngHandlerPrivate::readPngImage(QImage*) (qpnghandler.cpp:427)
==359==    by 0x4E7888B: QImageReader::read(QImage*) (qimagereader.cpp:1205)
==359==    by 0x4E78E36: QImageReader::read() (qimagereader.cpp:1155)
==359==    by 0x4E900FA: QPixmapData::fromFile(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) (qpixmapdata.cpp:137)
==359==    by 0x4E8ACD8: QPixmap::load(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) (qpixmap.cpp:848)
==359==    by 0x4E8B14C: QPixmap::QPixmap(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) (qpixmap.cpp:260)
==359== 
==359== Conditional jump or move depends on uninitialised value(s)
==359==    at 0x7EF025F: PageView::resizeEvent(QResizeEvent*) (pageview.cpp:1235)
==359==    by 0x4DEBC52: QWidget::event(QEvent*) (qwidget.cpp:8354)
==359==    by 0x520CF52: QFrame::event(QEvent*) (qframe.cpp:557)
==359==    by 0x52A97B1: QAbstractScrollArea::viewportEvent(QEvent*) (qabstractscrollarea.cpp:1043)
==359==    by 0x7EF606F: PageView::viewportEvent(QEvent*) (pageview.cpp:2241)
==359==    by 0x52AC1F4: QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) (qabstractscrollarea_p.h:100)
==359==    by 0x4AF6ED9: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:847)
==359==    by 0x4D8DC48: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4441)
==359==    by 0x4D93768: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4410)
==359==    by 0x44DCBF9: KApplication::notify(QObject*, QEvent*) (kapplication.cpp:302)
==359==    by 0x4AF777A: QCoreApplication::notifyInternal(QObject*, QEvent*) (qcoreapplication.cpp:732)
==359==    by 0x4E41CD4: QWidgetPrivate::setGeometry_sys(int, int, int, int, bool) (qcoreapplication.h:215)
==359== 
==359== Invalid read of size 4
==359==    at 0x7EDF19A: PagePainter::scalePixmapOnImage(QImage&, QPixmap const*, int, int, QRect const&, QImage::Format) (pagepainter.cpp:755)
==359==    by 0x7EDF807: PagePainter::paintCroppedPageOnPainter(QPainter*, Okular::Page const*, int, int, int, int, QRect const&, Okular::NormalizedRect const&) (pagepainter.cpp:229)
==359==    by 0x7EF26AE: PageView::drawDocumentOnPainter(QRect const&, QPainter*) (pageview.cpp:2395)
==359==    by 0x7EF2FC4: PageView::paintEvent(QPaintEvent*) (pageview.cpp:1206)
==359==    by 0x4DEBCC5: QWidget::event(QEvent*) (qwidget.cpp:8346)
==359==    by 0x520CF52: QFrame::event(QEvent*) (qframe.cpp:557)
==359==    by 0x52A97B1: QAbstractScrollArea::viewportEvent(QEvent*) (qabstractscrollarea.cpp:1043)
==359==    by 0x7EF606F: PageView::viewportEvent(QEvent*) (pageview.cpp:2241)
==359==    by 0x52AC1F4: QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) (qabstractscrollarea_p.h:100)
==359==    by 0x4AF6ED9: QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) (qcoreapplication.cpp:847)
==359==    by 0x4D8DC48: QApplicationPrivate::notify_helper(QObject*, QEvent*) (qapplication.cpp:4441)
==359==    by 0x4D93768: QApplication::notify(QObject*, QEvent*) (qapplication.cpp:4410)
==359==  Address 0xe252de8 is not stack'd, malloc'd or (recently) free'd
==359== 
==359== 
==359== HEAP SUMMARY:
==359==     in use at exit: 287,532 bytes in 3,837 blocks
==359==   total heap usage: 264,135 allocs, 260,298 frees, 103,250,217 bytes allocated
==359== 
==359== LEAK SUMMARY:
==359==    definitely lost: 583 bytes in 10 blocks
==359==    indirectly lost: 51,442 bytes in 538 blocks
==359==      possibly lost: 44,327 bytes in 768 blocks
==359==    still reachable: 191,180 bytes in 2,521 blocks
==359==         suppressed: 0 bytes in 0 blocks
==359== Rerun with --leak-check=full to see details of leaked memory
==359== 
==359== For counts of detected and suppressed errors, rerun with: -v
==359== Use --track-origins=yes to see where uninitialised values come from
==359== ERROR SUMMARY: 8952 errors from 5 contexts (suppressed: 290 from 11)
Comment 36 Albert Astals Cid 2011-01-24 22:56:52 UTC
Achim valgrind log makes much more sense.
#34 I find interesting the comment you make about NX not crashing as it shows it's maybe not Okular's fault. So can you guys try using different window managers kwin/compiz/metacity with and without effects enabled, and/or different/newer X drivers and/or diffent hardware if you have access to it and see if you can still reproduce the problem?
Comment 37 Achim Schaefer 2011-01-25 23:06:01 UTC
I just installed kde-standard package from squeeze (debian), so 4.4.5.
same issue:
Application: Okular (okular), signal: Segmentation fault
[KCrash Handler]
#6  0xb395d19a in PagePainter::scalePixmapOnImage (dest=..., src=0x87a68a0, scaledWidth=991, scaledHeight=1401, cropRect=..., format=QImage::Format_ARGB32_Premultiplied) at ../../okular/ui/pagepainter.cpp:755
#7  0xb395d808 in PagePainter::paintCroppedPageOnPainter (destPainter=0xbfa4c65c, page=0x8758588, pixID=3, flags=<value optimized out>, scaledWidth=991, scaledHeight=1401, limits=..., crop=...) at ../../okular/ui/pagepainter.cpp:229
#8  0xb39706af in PageView::drawDocumentOnPainter (this=0x8672d88, contentsRect=..., p=0xbfa4c65c) at ../../okular/ui/pageview.cpp:2395
#9  0xb3970fc5 in PageView::paintEvent (this=0x8672d88, pe=0xbfa4cd64) at ../../okular/ui/pageview.cpp:1206
#10 0xb61dacc6 in QWidget::event (this=0x8672d88, event=0xbfa4cd64) at kernel/qwidget.cpp:8346
#11 0xb65fbf53 in QFrame::event (this=0x8672d88, e=0xbfa4cd64) at widgets/qframe.cpp:557
#12 0xb66987b2 in QAbstractScrollArea::viewportEvent (this=0xaf7fe, e=0x8d) at widgets/qabstractscrollarea.cpp:1043
#13 0xb3974070 in PageView::viewportEvent (this=0x8672d88, e=0xbfa4cd64) at ../../okular/ui/pageview.cpp:2241
....

And again okular does not crash when started under valgrind.

Different hardware for X is quite diffcult for me, the box is really old.
The current nouveau driver detects a NV05 Chipset (Riva TNT2?)
But for sure there are no effects:-)

So I have this issue with LXDE and KDE 4.4.5.
I could try to upgrade to the 4.5 repository from debain, do you thik this helps?
Comment 38 Achim Schaefer 2011-01-26 22:34:27 UTC
Now after upgrade:
okular --version
Qt: 4.7.1
KDE Development Platform: 4.5.3 (KDE 4.5.3)
Okular: 0.11.1

And the result:
Application: Okular (okular), signal: Segmentation fault
[KCrash Handler]
#7  0xb2e6d0ea in PagePainter::scalePixmapOnImage (dest=..., src=0x998f2b0, scaledWidth=991, scaledHeight=1401, cropRect=..., format=QImage::Format_ARGB32_Premultiplied) at ../../okular/ui/pagepainter.cpp:755
#8  0xb2e6d758 in PagePainter::paintCroppedPageOnPainter (destPainter=0xbff7f82c, page=0x99d1e80, pixID=3, flags=<value optimized out>, scaledWidth=991, scaledHeight=1401, limits=..., crop=...) at ../../okular/ui/pagepainter.cpp:229
#9  0xb2e806ff in PageView::drawDocumentOnPainter (this=0x98ee7d0, contentsRect=..., p=0xbff7f82c) at ../../okular/ui/pageview.cpp:2446
#10 0xb2e81015 in PageView::paintEvent (this=0x98ee7d0, pe=0xbff7ff34) at ../../okular/ui/pageview.cpp:1212
#11 0xb68e1cc6 in QWidget::event (this=0x98ee7d0, event=0xbff7ff34) at kernel/qwidget.cpp:8346
#12 0xb6d02f53 in QFrame::event (this=0x98ee7d0, e=0xbff7ff34) at widgets/qframe.cpp:557
#13 0xb6d9f7b2 in QAbstractScrollArea::viewportEvent (this=0xaf7fe, e=0x8d) at widgets/qabstractscrollarea.cpp:1043
#14 0xb2e84110 in PageView::viewportEvent (this=0x98ee7d0, e=0xbff7ff34) at ../../okular/ui/pageview.cpp:2292
#15 0xb6da21f5 in viewportEvent (this=0x98f0a28, o=0x98e6b60, e=0xbff7ff34) at widgets/qabstractscrollarea_p.h:100
#16 QAbstractScrollAreaFilter::eventFilter (this=0x98f0a28, o=0x98e6b60, e=0xbff7ff34) at widgets/qabstractscrollarea_p.h:116
#17 0xb635deda in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x972fb70, receiver=0x98e6b60, event=0xbff7ff34) at kernel/qcoreapplication.cpp:847
#18 0xb6883c49 in QApplicationPrivate::notify_helper (this=0x972fb70, receiver=0x98e6b60, e=0xbff7ff34) at kernel/qapplication.cpp:4441
#19 0xb6889769 in QApplication::notify (this=0xbff82570, receiver=0x98e6b60, e=0xbff7ff34) at kernel/qapplication.cpp:4410
#20 0xb7403caa in KApplication::notify (this=0xbff82570, receiver=0x98e6b60, event=0xbff7ff34) at ../../kdeui/kernel/kapplication.cpp:310
#21 0xb635e77b in QCoreApplication::notifyInternal (this=0xbff82570, receiver=0x98e6b60, event=0xbff7ff34) at kernel/qcoreapplication.cpp:732
#22 0xb68e8ef6 in sendSpontaneousEvent (this=0x98e7f30, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#23 QWidgetPrivate::drawWidget (this=0x98e7f30, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5433
#24 0xb68e9d35 in QWidgetPrivate::paintSiblingsRecursive (this=0x98e6938, pdev=0x99354fc, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5640
#25 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x98e6938, pdev=0x99354fc, siblings=..., index=51, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#26 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x98e6938, pdev=0x99354fc, siblings=..., index=52, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#27 0xb68e8c45 in QWidgetPrivate::drawWidget (this=0x98e6938, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5486
#28 0xb68e9d35 in QWidgetPrivate::paintSiblingsRecursive (this=0x98d5da0, pdev=0x99354fc, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5640
#29 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x98d5da0, pdev=0x99354fc, siblings=..., index=5, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#30 0xb68e8c45 in QWidgetPrivate::drawWidget (this=0x98d5da0, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5486
#31 0xb68e9d35 in QWidgetPrivate::paintSiblingsRecursive (this=0x981ce80, pdev=0x99354fc, siblings=..., index=0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5640
#32 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x981ce80, pdev=0x99354fc, siblings=..., index=2, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#33 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x981ce80, pdev=0x99354fc, siblings=..., index=3, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#34 0xb68e8c45 in QWidgetPrivate::drawWidget (this=0x981ce80, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5486
#35 0xb68e9d35 in QWidgetPrivate::paintSiblingsRecursive (this=0x9810880, pdev=0x99354fc, siblings=..., index=4, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5640
#36 0xb68e8c45 in QWidgetPrivate::drawWidget (this=0x9810880, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5486
#37 0xb68e9d35 in QWidgetPrivate::paintSiblingsRecursive (this=0x97841c0, pdev=0x99354fc, siblings=..., index=9, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5640
#38 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x97841c0, pdev=0x99354fc, siblings=..., index=13, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#39 0xb68e9b6e in QWidgetPrivate::paintSiblingsRecursive (this=0x97841c0, pdev=0x99354fc, siblings=..., index=22, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5627
#40 0xb68e8c45 in QWidgetPrivate::drawWidget (this=0x97841c0, pdev=0x99354fc, rgn=..., offset=..., flags=<value optimized out>, sharedPainter=0x0, backingStore=0x9937ab8) at kernel/qwidget.cpp:5486
#41 0xb6ade364 in QWidgetBackingStore::sync (this=0x9937ab8) at painting/qbackingstore.cpp:1333
#42 0xb68db283 in QWidgetPrivate::syncBackingStore (this=0x97841c0) at kernel/qwidget.cpp:1816
#43 0xb68e245e in QWidget::event (this=0x97ffcf8, event=0x996b168) at kernel/qwidget.cpp:8493
#44 0xb6d22097 in QMainWindow::event (this=0x97ffcf8, event=0x996b168) at widgets/qmainwindow.cpp:1478
#45 0xb74f5ee4 in KMainWindow::event (this=0x97ffcf8, ev=0x996b168) at ../../kdeui/widgets/kmainwindow.cpp:1100
#46 0xb753deef in KXmlGuiWindow::event (this=0x97ffcf8, ev=0x996b168) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:132
#47 0xb6883c6c in QApplicationPrivate::notify_helper (this=0x972fb70, receiver=0x97ffcf8, e=0x996b168) at kernel/qapplication.cpp:4445
#48 0xb6889769 in QApplication::notify (this=0xbff82570, receiver=0x97ffcf8, e=0x996b168) at kernel/qapplication.cpp:4410
#49 0xb7403caa in KApplication::notify (this=0xbff82570, receiver=0x97ffcf8, event=0x996b168) at ../../kdeui/kernel/kapplication.cpp:310
#50 0xb635e77b in QCoreApplication::notifyInternal (this=0xbff82570, receiver=0x97ffcf8, event=0x996b168) at kernel/qcoreapplication.cpp:732
#51 0xb636197c in sendEvent (receiver=0x0, event_type=0, data=0x971ae98) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#52 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x971ae98) at kernel/qcoreapplication.cpp:1373
#53 0xb6361add in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#54 0xb638d294 in sendPostedEvents (s=0x9731f10) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#55 postEventSourceDispatch (s=0x9731f10) at kernel/qeventdispatcher_glib.cpp:277
#56 0xb5942305 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#57 0xb5945fe8 in ?? () from /lib/libglib-2.0.so.0
#58 0xb59461c8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#59 0xb638cd85 in QEventDispatcherGlib::processEvents (this=0x971ab58, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#60 0xb6945305 in QGuiEventDispatcherGlib::processEvents (this=0x971ab58, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#61 0xb635d229 in QEventLoop::processEvents (this=0xbff82474, flags=) at kernel/qeventloop.cpp:149
#62 0xb635d6aa in QEventLoop::exec (this=0xbff82474, flags=...) at kernel/qeventloop.cpp:201
#63 0xb6361b9f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#64 0xb6882c27 in QApplication::exec () at kernel/qapplication.cpp:3719
#65 0x0804eee9 in main (argc=2, argv=0xbff82764) at ../../../okular/shell/main.cpp:82

And again it still works when using valgrind (but it is unusable slow:-)
Comment 39 Albert Astals Cid 2011-01-28 21:37:50 UTC
Are you all by any chance using the "raster" graphicssystem instead of the "native" one? i.e. does okular crash if you run
okular -graphicssystem native myfile.pdf
?
Comment 40 hazard 2011-02-04 15:53:11 UTC
Actually the opposite has helped. With native it crashes, with
okular-graphicssystem raster it works most of the times. But sometimes
still
crashes.

Is it possible to save the graphics system preference somewhere ?

I also tried updating NVidia driver to the latest version, didn't help.

On Fri, Jan 28, 2011 at 10:37 PM, Albert Astals Cid <tsdgeos@terra.es>wrote:

> https://bugs.kde.org/show_bug.cgi?id=243434
>
>
>
>
>
> --- Comment #39 from Albert Astals Cid <tsdgeos terra es>  2011-01-28
> 21:37:50 ---
> Are you all by any chance using the "raster" graphicssystem instead of the
> "native" one? i.e. does okular crash if you run
> okular -graphicssystem native myfile.pdf
> ?
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 41 Pino Toscano 2011-02-06 21:43:01 UTC
*** Bug 265644 has been marked as a duplicate of this bug. ***
Comment 42 dorian.goldstein 2011-02-06 23:49:56 UTC
Thanks for the work around. Unfortunately I can't replicate this
because I installed a new OS, but I'll try this if it crashes this way
again.

On Sun, Feb 6, 2011 at 3:43 PM, Pino Toscano <pino@kde.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=243434
>
>
> Pino Toscano <pino@kde.org> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                 CC|                            |henri.demontpellier@advalva
>                   |                            |s.be
>
>
>
>
> --- Comment #41 from Pino Toscano <pino kde org>  2011-02-06 21:43:01 ---
> *** Bug 265644 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 43 Pino Toscano 2011-02-13 19:19:59 UTC
*** Bug 266217 has been marked as a duplicate of this bug. ***
Comment 44 Albert Astals Cid 2011-03-16 21:06:45 UTC
*** Bug 268142 has been marked as a duplicate of this bug. ***
Comment 45 Albert Astals Cid 2011-03-17 19:24:01 UTC
*** Bug 268772 has been marked as a duplicate of this bug. ***
Comment 46 Albert Astals Cid 2011-03-18 19:46:50 UTC
SVN commit 1225247 by aacid:

If we are going to copy raw data from src to dest we need to make sure both are in the same image format

Thanks to Adrià Arrufat for the testing

BUGS: 243434


 M  +1 -1      pagepainter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1225247
Comment 47 Albert Astals Cid 2011-03-18 19:47:42 UTC
SVN commit 1225249 by aacid:

backport r1225247 | aacid | 2011-03-18 18:47:18 +0000 (Fri, 18 Mar 2011) | 6 lines

If we are going to copy raw data from src to dest we need to make sure both are in the same image format

Thanks to Adri?\195?\160 Arrufat for the testing

BUGS: 243434


 M  +1 -1      pagepainter.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1225249
Comment 48 Pino Toscano 2011-03-19 23:24:39 UTC
*** Bug 268921 has been marked as a duplicate of this bug. ***
Comment 49 Pino Toscano 2011-03-26 21:34:48 UTC
*** Bug 269489 has been marked as a duplicate of this bug. ***
Comment 50 Albert Astals Cid 2011-04-25 18:14:46 UTC
*** Bug 271548 has been marked as a duplicate of this bug. ***
Comment 51 Pino Toscano 2011-06-21 14:47:17 UTC
*** Bug 276197 has been marked as a duplicate of this bug. ***
Comment 52 Pino Toscano 2011-07-07 21:38:00 UTC
*** Bug 277335 has been marked as a duplicate of this bug. ***
Comment 53 Pino Toscano 2011-07-15 15:55:38 UTC
*** Bug 277842 has been marked as a duplicate of this bug. ***
Comment 54 Pino Toscano 2011-08-03 18:32:04 UTC
*** Bug 279314 has been marked as a duplicate of this bug. ***
Comment 55 François 2011-08-03 23:10:46 UTC
Okular does not work very well on Opensuse  KDE, so i dropped it.
And I use now Acrobat that works much better.
I do not understand : if the same error occured, since when ?

François



________________________________
De : Pino Toscano <pino@kde.org>
À : fractionsolaire@yahoo.fr
Envoyé le : Mercredi 3 Août 2011 20h32
Objet : [Bug 243434] crash when painting (PagePainter::scalePixmapOnImage with no backbuffer)

https://bugs.kde.org/show_bug.cgi?id=243434


Pino Toscano <pino@kde.org> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |fractionsolaire@yahoo.fr




--- Comment #54 from Pino Toscano <pino kde org>  2011-08-03 18:32:04 ---
*** Bug 279314 has been marked as a duplicate of this bug. ***
Comment 56 Pino Toscano 2011-08-09 18:39:09 UTC
*** Bug 279758 has been marked as a duplicate of this bug. ***
Comment 57 Andreas 2011-08-25 04:25:37 UTC
Created attachment 63129 [details]
New crash information added by DrKonqi

okular (0.12) on KDE Platform 4.6.00 (4.6.0) "release 6" using Qt 4.7.1

- What I was doing when the application crashed:

I was clicking in Konqueror on a pdf file (same crash, if leftclicking with direct opening or rightclicking and selecting okular in context menu). Shortly after start, okular crashes.

I have reported that earlier.

New information is following:

- Custom settings of the application:
It seems to depend on the setting of "creation in background" in "Einrichten->Leistung" (Preferences->performance). If set, okular crashes. This can be reproduced.

Hope, this will help to fix it.

-- Backtrace (Reduced):
#6  0x00007fdd45ed0947 in PagePainter::scalePixmapOnImage (dest=..., src=0xa75e70, scaledWidth=<value optimized out>, scaledHeight=1134, cropRect=<value optimized out>, format=<value optimized out>) at /usr/src/debug/kdegraphics-4.6.0/okular/ui/pagepainter.cpp:755
#7  0x00007fdd45ed1360 in PagePainter::paintCroppedPageOnPainter (destPainter=0x7fff020aebf0, page=0xa4f800, pixID=<value optimized out>, flags=<value optimized out>, scaledWidth=802, scaledHeight=1134, limits=..., crop=...) at /usr/src/debug/kdegraphics-4.6.0/okular/ui/pagepainter.cpp:229
#8  0x00007fdd45ee1d9f in PageView::drawDocumentOnPainter (this=0x876760, contentsRect=..., p=0x7fff020aebf0) at /usr/src/debug/kdegraphics-4.6.0/okular/ui/pageview.cpp:2469
#9  0x00007fdd45ee25a1 in PageView::paintEvent (this=0x876760, pe=<value optimized out>) at /usr/src/debug/kdegraphics-4.6.0/okular/ui/pageview.cpp:1226
#10 0x00007fdd549614ea in QWidget::event (this=0x876760, event=0x7fff020af510) at kernel/qwidget.cpp:8346
Comment 58 Albert Astals Cid 2011-09-05 11:07:35 UTC
*** Bug 281373 has been marked as a duplicate of this bug. ***